//
//  Logger.h
//
#ifndef LoggerDefs
#define LoggerDefs 1

#include "sysmac.h"

enum LoggerOpenModeType { REWRITE_EXISTING, CONTINUE_EXISTING, RENAME_EXISTING };

extern int  LoggerOpen( const char *filename, LoggerOpenModeType OpenMode = REWRITE_EXISTING );
extern void LoggerClose( int loghandle );
extern void LoggerStrOut( int loghandle, const char *str, bool bStamped=false );
extern void LoggerCharsOut( int loghandle, const char *str, int nChars, bool bStamped=false );
extern void LoggerStampedStrOut( int loghandle, char *str );

#endif