//                                                 //
//  DWindowInitData -     //
//                                                 //
#ifndef DWindowInitDataDef
#define DWindowInitDataDef 1

#include <windows.h>
#include "FastDelegate.h"

const int defX0 = 2;
const int defY0 = 2;
const int defDX = 290;
const int defDY = 300;


class DWindowInitData {

public:

  unsigned int  nX0;
  unsigned int  nY0;
  unsigned int  nDX;
  unsigned int  nDY;
  COLORREF      dwBackground;
  HWND          hWndParent;
  bool          bIsChild;
  bool          bIsEmbedded;
  bool          bEmbeddedTitle;
  int           nEmbeddedBorderWidth;
  int           nEmbeddedStyleNum;
  bool          bHasStatusWindow;
  bool          bHideScrollBars;
  int           ExSTYLE;
  COLORREF      dwFrameBackground;
  COLORREF      dwTextColor;
  int           nCURSOR_Y_START_PERCENT;
  int           nCURSOR_X_START_PERCENT;
  int           nCURSOR_Y_END_PERCENT;
  int           nCURSOR_X_END_PERCENT;
  int           nBLINK_ON_TIME;
  int           nBLINK_OFF_TIME;
  
  fastdelegate::FastDelegate1<char> KeyboardReceiver;


  DWindowInitData():
                     nX0(defX0),
                     nY0(defY0),
                     nDX(defDX),
                     nDY(defDY),
                     dwBackground(-1), // RGB(0xB5,0xC7,0xC9)
                     hWndParent(NULL),
                     bIsChild(false),
                     bIsEmbedded(false),
                     bEmbeddedTitle(false),
                     nEmbeddedBorderWidth(0),
                     nEmbeddedStyleNum(0),
                     bHasStatusWindow(true),
                     bHideScrollBars(false),
                     ExSTYLE( WS_EX_OVERLAPPEDWINDOW ),
                     dwFrameBackground(-1),
                     dwTextColor(1),
                     nCURSOR_Y_START_PERCENT(0),
                     nCURSOR_X_START_PERCENT(0),
                     nCURSOR_Y_END_PERCENT(100),
                     nCURSOR_X_END_PERCENT(100),
                     nBLINK_ON_TIME(800),
                     nBLINK_OFF_TIME(300)
                     {};

};

#endif

